Grokbase Groups Maven users May 2005
FAQ
Is it possible to compile jdk 1.5 code with maven2? I have added a
pom.xml and a project.properties file to my project and set
"maven.compile.source=1.5" in the properties file, but I still get the
following error when compiling.

D:\dev\workspace\MyProject\src\main\java\com\intervoice\core\internal\ap
plication\Understand.java:[29,-1] generics are not supported in -source
1.3

Wb


This e-mail transmission may contain information that is proprietary, privileged and/or confidential and is intended exclusively for the person(s) to whom it is addressed. Any use, copying, retention or disclosure by any person other than the intended recipient or the intended recipient's designees is strictly prohibited. If you are the intended recipient, you must treat the information in confidence and in accordance with all laws related to the privacy and confidentiality of such information. If you are not the intended recipient or their designee, please notify the sender immediately by return e-mail and delete all copies of this email, including all attachments.

Search Discussions

  • Hugo Palma at May 27, 2005 at 4:15 pm
    Put this in your pom.xml file:

    <build>
    <plugins>
    <plugin>
    <artifactId>maven-compiler-plugin</artifactId>
    <configuration>
    <source>1.5</source>
    <target>1.5</target>
    </configuration>
    </plugin>
    </plugins>
    </build>

    Cheers

    Hugo



    Wendell Beckwith wrote:
    Is it possible to compile jdk 1.5 code with maven2? I have added a
    pom.xml and a project.properties file to my project and set
    "maven.compile.source=1.5" in the properties file, but I still get the
    following error when compiling.

    D:\dev\workspace\MyProject\src\main\java\com\intervoice\core\internal\ap
    plication\Understand.java:[29,-1] generics are not supported in -source
    1.3

    Wb


    This e-mail transmission may contain information that is proprietary, privileged and/or confidential and is intended exclusively for the person(s) to whom it is addressed. Any use, copying, retention or disclosure by any person other than the intended recipient or the intended recipient's designees is strictly prohibited. If you are the intended recipient, you must treat the information in confidence and in accordance with all laws related to the privacy and confidentiality of such information. If you are not the intended recipient or their designee, please notify the sender immediately by return e-mail and delete all copies of this email, including all attachments.
  • Wendell Beckwith at May 27, 2005 at 5:25 pm
    That worked perfectly!! Thnx.


    Wb

    -----Original Message-----
    From: Hugo Palma
    Sent: Friday, May 27, 2005 11:21 AM
    To: Maven Users List
    Subject: Re: How to compile java 1.5 source with maven2

    Put this in your pom.xml file:

    <build>
    <plugins>
    <plugin>
    <artifactId>maven-compiler-plugin</artifactId>
    <configuration>
    <source>1.5</source>
    <target>1.5</target>
    </configuration>
    </plugin>
    </plugins>
    </build>

    Cheers

    Hugo



    Wendell Beckwith wrote:
    Is it possible to compile jdk 1.5 code with maven2? I have added a
    pom.xml and a project.properties file to my project and set
    "maven.compile.source=1.5" in the properties file, but I still get the
    following error when compiling.

    D:\dev\workspace\MyProject\src\main\java\com\intervoice\core\internal\a
    p plication\Understand.java:[29,-1] generics are not supported in
    -source
    1.3

    Wb


    This e-mail transmission may contain information that is proprietary,
    privileged and/or confidential and is intended exclusively for the
    person(s) to whom it is addressed. Any use, copying, retention or
    disclosure by any person other than the intended recipient or the
    intended recipient's designees is strictly prohibited. If you are the
    intended recipient, you must treat the information in confidence and in
    accordance with all laws related to the privacy and confidentiality of
    such information. If you are not the intended recipient or their
    designee, please notify the sender immediately by return e-mail and
    delete all copies of this email, including all attachments.
    This e-mail transmission may contain information that is proprietary, privileged and/or confidential and is intended exclusively for the person(s) to whom it is addressed. Any use, copying, retention or disclosure by any person other than the intended recipient or the intended recipient's designees is strictly prohibited. If you are the intended recipient, you must treat the information in confidence and in accordance with all laws related to the privacy and confidentiality of such information. If you are not the intended recipient or their designee, please notify the sender immediately by return e-mail and delete all copies of this email, including all attachments.

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
    For additional commands, e-mail: users-help@maven.apache.org

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupusers @
categoriesmaven
postedMay 27, '05 at 4:08p
activeMay 27, '05 at 5:25p
posts3
users2
websitemaven.apache.org
irc#maven

2 users in discussion

Wendell Beckwith: 2 posts Hugo Palma: 1 post

People

Translate

site design / logo © 2022 Grokbase